postfixadmin-cli(1)

Name
postfixadmin-cli - a CLI tool to manage postfixadmin

SYNOPSIS
postfixadmin-cli <module> <task> [options]

postfixadmin-cli <module> help

postfixadmin-cli <module> <task> help

DESCRIPTION
postfixadmin-cli is a CLI tool to use postfixadmin like how you use the WebUI. It is a shell sciprt wrapped around /usr/share/postfixadmin/scripts/postfixadmin-cli.php.

MODULES

admin

domain

mailbox

alias

aliasdomain

fetchmail

TASKS
Most modules support the following tasks:

view
    View an item.

add Add an item.

update
    Update an item.

delete
    Delete an item.

scheme
    Print database scheme (useful for developers only).

help
    Print help output.

OPTIONS
Different combinations of MODULES and TASKS have different sets of available options to use. Please see the help messages and the examples below.

EXAMPLES
To add a mailbox interactively:

postfixadmin-cli mailbox add

To add a mailbox non-interactively, with the new mailbox being inactive:

postfixadmin-cli mailbox add nobody@example.com --password deadbeef12 --password2 deadbeef12 --name "Nobody Nogroup" --welcome-mail --active 0 --email-other backup@example.com

To view the information of a domain:

postfixadmin-cli domain view example.com

REPORTING BUGS
Please report bugs to the Debian BTS, i.e. using reportbug(1).

SEE ALSO
postfix(1), postconf(1), postmap(1), mariadb(1), psql(1), php(1)

AUTHOR
Copyright 2024 Jing Luo <jing@jing.rocks>.

This manpage was written by Jing Luo, licensed under the terms of GNU General Pulic License version 2, or at your option any later version. There is absolutely no warranty; see /usr/share/common-licenses/GPL-2 for the terms of the license.